// Lights.h: interface for the CLights class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LIGHTS_H__8CE77830_3C48_11D6_B742_004033A0FB96__INCLUDED_)
#define AFX_LIGHTS_H__8CE77830_3C48_11D6_B742_004033A0FB96__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/*
This class encapsulates your keyboard's lights.
Ussage:

CLights m_light;
m_light.ToggleCapsLock();

etc....

Class prepared by Irek Zielinski irekz@yahoo.com
*/

class CLights  
{
public:
	BOOL EnableCapsLock(BOOL bEnable = TRUE);
	BOOL GetCapsLockStatus();
	void ToggleCapsLock();
	BOOL EnableScrollLock(BOOL bEnable = TRUE);
	BOOL EnableNumLock(BOOL bEnable = TRUE);
	BOOL GetScrollLockStatus();
	BOOL GetNumLockStatus();
	void ToggleScrollLock();
	void ToggleNumLock();
	OSVERSIONINFO m_OSVersionInfo; //neaded to distinguish between NT nad WIN9x
	CLights();
	virtual ~CLights();

};

#endif // !defined(AFX_LIGHTS_H__8CE77830_3C48_11D6_B742_004033A0FB96__INCLUDED_)
